buffer.h File Reference

Buffer handling. More...

`#include <stdint.h>`
`#include <vector>`
`#include <libcamera/file_descriptor.h>`

Go to the source code of this file.

## Classes

struct | libcamera::FrameMetadata
| Metadata related to a captured frame. More...
struct | libcamera::FrameMetadata::Plane
| Per-plane frame metadata. More...
class | libcamera::FrameBuffer
| Frame buffer data and its associated dynamic metadata. More...
struct | libcamera::FrameBuffer::Plane
| A memory region to store a single plane of a frame. More...

## Detailed Description

Buffer handling.